Ubuntu

mounting HFS+ volumes fails on large sector devices

Reported by Rainer Rohde on 2011-03-14
224
This bug affects 39 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Seth Forshee
Oneiric
Medium
Seth Forshee
util-linux (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: util-linux

Natty Alpha 3

WIth Natty I only tried now to mount my iPod, but it doesn't work. It used to work great under Maverick, though.

Here's what I get from dmesg:

[ 452.340069] hfs: unable to find HFS+ superblock
[ 452.410078] sd 7:0:0:0: [sdb] Bad block number requested
[ 452.410110] hfs: unable to find HFS+ superblock

And this is the error message from the GUI dialog:

Unable to mount 8.1 GB Filesystem

Error mounting: mount: wrong fs type, bad option, bad superblock on /dev/sdb3,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so

mount:
  Installed: 2.17.2-9.1ubuntu2
  Candidate: 2.17.2-9.1ubuntu2
  Version table:
 *** 2.17.2-9.1ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: mount 2.17.2-9.1ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-6.34-generic 2.6.38-rc7
Uname: Linux 2.6.38-6-generic x86_64
NonfreeKernelModules: nvidia wl
Architecture: amd64
Date: Mon Mar 14 10:13:28 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64+mac (20110210)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: util-linux
UpgradeStatus: Upgraded to natty on 2011-03-08 (5 days ago)

CVE References

Rainer Rohde (rainer-rohde) wrote :
Jordan Yelloz (jordan-yelloz) wrote :

This looks like it was broken between 2.6.37 and 2.6.38. I backed out the hfsplus module in a 2.6.38.2 tree to that from 2.6.37 (git checkout v2.6.37 -- fs/hfsplus) and my iPod mounted correctly.

My guess is that this was caused by one of these commits:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=52399b171dfaea02b6944cd6feba49b624147126
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=358f26d52680cb150907302d4334359de7dd2d59

Gino (ginolovesyou) wrote :

Same problem for me to.. thought it was my ipod, but works fine on other system with older kernel.. problem persists in 38.4 release as well..

wolfen69 (wolfen69) wrote :

ipod works on ubuntu 11.04 but not kubuntu 11.04

Ted Strong (tstrong) wrote :

I am attempting to create a new hfs+ partition on my linux machine. Tried using both gparted and also mkfs.hfsplus.
Both times no errors are reported, but upon mounting the new partition I get:

[102502.127762] sd 8:0:0:0: [sdd] Bad block number requested
[102502.128101] hfs: unable to find HFS+ superblock

Using kernel 2.6.38-8-generic

Luke Plant (spookylukey) wrote :

Same here, using Ubuntu 11.04.

A bit more extensive output from dmesg:

[255442.160171] usb 2-2: new high speed USB device using ehci_hcd and address 12
[255442.295590] scsi7 : usb-storage 2-2:1.0
[255443.295050] scsi 7:0:0:0: Direct-Access Apple iPod 1.62 PQ: 0 ANSI: 0
[255443.296722] sd 7:0:0:0: Attached scsi generic sg2 type 0
[255443.299353] sd 7:0:0:0: [sdb] 1982464 2048-byte logical blocks: (4.06 GB/3.78 GiB)
[255443.300683] sd 7:0:0:0: [sdb] Write Protect is off
[255443.300691] sd 7:0:0:0: [sdb] Mode Sense: 68 00 00 08
[255443.305010] sd 7:0:0:0: [sdb] No Caching mode page present
[255443.305017] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[255443.308116] sd 7:0:0:0: [sdb] 1982464 2048-byte logical blocks: (4.06 GB/3.78 GiB)
[255443.311021] sd 7:0:0:0: [sdb] No Caching mode page present
[255443.311027] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[255443.385990] sdb: [mac] sdb1 sdb2 sdb3
[255443.388395] sd 7:0:0:0: [sdb] 1982464 2048-byte logical blocks: (4.06 GB/3.78 GiB)
[255443.391150] sd 7:0:0:0: [sdb] No Caching mode page present
[255443.391156] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[255443.391161] sd 7:0:0:0: [sdb] Attached SCSI removable disk
[255444.264133] sd 7:0:0:0: [sdb] Bad block number requested
[255444.264166] hfs: unable to find HFS+ superblock
[255444.544247] sd 7:0:0:0: [sdb] Bad block number requested
[255444.544272] hfs: unable to find HFS+ superblock

I get the same GUI error message as the original reporter.

Rainer Rohde (rainer-rohde) wrote :

Just to chime in again - the error still persists and I am unable to mount my iPod even now after Natty's been out for a month...

-Rainer

DrKay (dr-jameskay) wrote :

Did HFS+ support drop out of the kernel?

Undesirable workaround, if you have access to a Windows machine:

1. Install iTunes on the Windows machine
2. Plug-in the iPod. iTunes will display a message if you plug-in an HFS+ iPod (set-up using a Mac) telling you that, in order to use this iPod on Windows, you must restore it to factory settings.
3. Click on Restore, and the iPod will be formatted automatically as FAT32.
4. Eject the iPod, then plug into Ubuntu machine and you're up and running!

Jonathan Rumion (yamamushi) wrote :

I can confirm that this isn't an issue with all HFS+ devices, as I'm able to mount an external hard drive with HFS+ filesystems without any issues.

That also addresses DrKay's concerns that HFS+ support may have dropped out of the kernel (I would think that dropping HFS support would be bigger news :p ).

I wouldn't really consider reformatting a 160gb iPod and copying all of my music back onto it a "workaround", especially when a kernel downgrade sounds like it would be easier.

I'm guessing this will be addressed with a kernel release in the near future though. In the meantime, I'll settle for listening to music on my iPod instead of my laptop.

-Jon

James Harris (funkyheff) wrote :

i am having the same problem with a current 160GB ipod.

I'm pretty new to linux, can someone point me towards some instructions on how to downgrade the kernel so I can get my ipod mounted?

Red (redoctober17) wrote :

I'm receiving the same error with my 16 GB nano with Ubuntu 11.04 (did not have issues with 10.04 Netbook Remix), except it's on /dev/sdb2, whether or not that's relevant. I thought it might be issues with the Disk Manager, as I'm on an Acer AspireOne netbook, and there's a bug where the SD card reader won't mount a card and throws up some errors unless I mount it manually through the terminal.

No one's mentioned this bit, so:

When it's plugged into the USB, the iPod screen reads "Connected." The error message comes up saying bad superblock etc., and the iPod thinks it is still connected. The only way I've found to disconnect is to go into Disk Manager and manually hit "power down this drive." Of course, that stops everything in and out of that port and so the iPod no longer charges. Is there at least any other way to disconnect it, so I can charge it but not have to go in through Disk Manager every time I want to unplug it?

Red (redoctober17) wrote :

Whups, I meant to put this in the first post. There IS a 16 GB drive listed on the side of Nautilus, along with the Desktop, Home Folder, etc. So it's recognized to some extent, but clicking on it throws up the same error as before.

wolfen69 (wolfen69) wrote :

I switched to Xubuntu 11.04 64, and still can't mount my ipod touch 2nd gen. I briefly had gnome 3 installed and the ipod mounted successfully. But that was short lived due to the known problems with gnome 3 and had to reinstall xubuntu. When I do lsusb, the ipod shows up but doesn't mount.

Philip Jägenstedt (foolip) wrote :

Has this been reported against the upstream kernel? Has anyone found another workaround other than downgrading?

Seth Forshee (sforshee) on 2011-05-23
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Seth Forshee (sforshee)
Seth Forshee (sforshee) wrote :

I think the commits identified in comment #2 are likely responsible, specifically the first one, although the second one is likely to cause different sorts of failures. I made a test build that reverts those commits, which is available at:

  http://people.canonical.com/~sforshee/lp734883/linux-2.6.38-9.43~lp734883v201105231638/

Please test to see whether or not the problem is present in this build and report back here. If it does fix the problem I'll look into what really needs to be done to address the problem. Simply reverting the commits probably isn't the solution as they appear to fix another type of mount failure with HFS+ volumes.

Thanks!

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Ted Strong (tstrong) wrote :

Awesome Seth, I patched my hfsplus modulewith your patch and re-compiled it and I can confirm that I can now mount
my hfsplus partition!. ( Its not an Ipod, but a regular hard drive partition formatted with mkfs.hfsplus )

Jonathan Rumion (yamamushi) wrote :

Seth,

I can confirm that your patches are resolving the issues with my iPod classic mounting, oddly enough I wasn't having problems mounting my iphone before (but I'm not sure if that's HFS+ formatted or not...). Either way, all of my HFS+ devices are mounting properly again. Thanks!

Seth Forshee (sforshee) wrote :

Thanks for the feedback, everyone. Now that we're sure what the problem is I'll start looking into a real fix.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

I've posted a new test build that has a potential fix for this issue. *Please note* that these changes have only received light testing so far, and using this build could result in filesystem corruption and lost data on your HFS+ volumes. If you choose to test this build be sure that any critical data is backed up.

That said, the build is available at:

http://people.canonical.com/~sforshee/lp734883/linux-2.6.38-9.43~lp734883v201106022033/

Please report results back here. Thanks!

Jordan Yelloz (jordan-yelloz) wrote :

I tried building my kernel with the patches "0001-hfsplus-add-missing-call-to-bio_put.patch" and "0002-hfsplus-ensure-bio-requests-not-smaller-than-the-har.patch" applied onto a Gentoo 2.6.39 source tree.

I experienced some weird results. My ipod's hard disk mechanism made a strange clicking noise that it doesn't usually make after plugging it in and it caused my PC's video to freeze when I tried to mount it inside GNOME 3.0. I switched back to my previous 2.6.39 kernel with the 2.6.38 changes backed out and it works fine again.

Barkhat (barkhat) wrote :

Ok, can you tell me how to apply the patches? I'm really a linux novice. Thank you.

Seth Forshee (sforshee) wrote :

@Barkhat: All you should need to do is follow the link in comment #19 and download the two .deb files for your installation (i386 for a 32-bit install and amd64 for a 64-bit install) plus the *_all.deb file. If you download them to a new folder with nothing else in it, you can install the packages by opening a terminal, navigating to the folder where you save the files, and running 'sudo dpkg -i *.deb'. After it finishes you need to reboot.

@Jordan: Thanks for your testing. I haven't been able to investigate your report yet, but I'm trying to get to it as soon as I can. One thing though is that there will obviously be a large number of changes between the 2.6.38 kernel I built and the 2.6.39 kernel you're comparing it too, so it would be helpful if you could compare against the released natty kernel to get a better idea of whether it was my changes or something else that resulted in the behavior you saw.

Pierre Rudloff (rudloff) wrote :

I tried your packages (those from comment #19 and those from comment #15) and it did not fix the problem.

Raphael Cóbe (natalpunk) wrote :

Worked perfectly for me. My Ipod now can be mounted without any trouble. I patched the kernel sources and built the kernel image deb myself. Thanks fo the fix.

Seth Forshee (sforshee) wrote :

@Pierre: For the device you're having problems with, would you mind providing the output of the following commands? In the commands blelow, <device> should be the name of the device node in /dev, something like sdb.

  cat /sys/block/<device>/sda/queue/hw_sector_size
  cat /sys/block/<device>/sda/queue/logical_block_size
  cat /sys/block/<device>/sda/queue/physical_block_size

@Raphael: What specific kernel version or sha1 did you apply the patch to for your working build? Could you also provide the output of the same commands?

Pierre Rudloff (rudloff) wrote :

Here is the output :
pierre@pierre-MacBook:~$ cat /sys/block/sdb/queue/hw_sector_size
2048
pierre@pierre-MacBook:~$ cat /sys/block/sdb/queue/logical_block_size
2048
pierre@pierre-MacBook:~$ cat /sys/block/sdb/queue/physical_block_size
2048

Graham Dunn (gmd) wrote :

The debs in comment 19 will allow the mount and playing of an ipod on x86_64, however the system will hang or reset in the seconds following that event.

Seth Forshee (sforshee) wrote :

@Graham, do you see any kind of panic or oops messages on the screen or in /var/log/kern.log when this happens? When it hangs, you might try waiting several seconds then pressing Alt-SysRq-S followed by Alt-SysRq-B and then checking kern.log after rebooting.

For the rest of you experiencing problems, it would be helpful to see the output of dmesg or the /var/log/kern.log file after you experience problems with the build from comment #19.

Thanks!

Graham Dunn (gmd) wrote :

@Seth, sorry, I haven't had time to test this further, but I have logs from /var/log/kern.log at http://pastebin.com/w8rWLucN

If you boot the machine with the ipod plugged in, it mounts and works fine, but not when you plug it in any time afterwards. I am using Natty 32 bit.

Seth Forshee (sforshee) wrote :

I could still use more dmesg logs from those experiencing issues with the build from comment #19.

@Craig, for your case in particular it would be useful to see a dmesg log following a successful mount when the device is plugged in a boot and also following a failed mount when the device is plugged in after boot.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Changed in util-linux (Ubuntu):
status: New → Invalid

@Seth: here you go... This file is for after plugging the iPod in and it does not mount.

@Seth: here you go... This file is for after a reboot with the iPod plugged in and it does mount.

ethan (r2ethan2) wrote :

I have it exactly like Craig.

Seth Forshee (sforshee) wrote :

@Craig: Yours is a different issue. Please file a new bug.

summary: - iPod won't mount
+ mounting HFS+ volumes fails on large sector devices
Seth Forshee (sforshee) wrote :

I've made a new build some debugging output to help identify what's going wrong. If the build from comment #19 doesn't work for you, please install this build and attache dmesg output after you've seen the failures. Thanks!

http://people.canonical.com/~sforshee/lp734883/linux-2.6.38-9.43~lp734883v201107051725/

Changed in linux (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Incomplete
Pierre Rudloff (rudloff) wrote :

I have tried your last build.
When I tried to mount my iPod, my screen became black, then printed a lot of output, then my computer froze.

Seth Forshee (sforshee) wrote :

Pierre, thanks for testing. I think the problem is some sort of memory corruption, so the failures are probably going to be pretty random.

Logs from the build in comment #36 would still be very helpful. Anyone else willing to test?

rb.eng (rb-engch) wrote :

Just found this bug and I'm impacted with an iPod nano G3. 10.10 seems to work fine mounting the drive but I can't get my audio (alsa) to play nice. In 11.04 the audio works quite well but the ipod with hfs+ doesn't mount.

Current installed kernel:
Kernel Linux 2.6.38-10-generic (11.04 natty)
iPod plugged in at boot or later gives the following error in a pop-up:

Error mounting: mount: wrong fs type, bad option, bad superblock on /dev/sdc2,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so

dmesg | tail output:
[ 5447.170504] sd 5:0:0:0: [sdc] 950209 4096-byte logical blocks: (3.89 GB/3.62 GiB)
[ 5447.171252] sd 5:0:0:0: [sdc] Assuming drive cache: write through
[ 5447.208171] sdc: [mac] sdc1 sdc2
[ 5447.216117] sd 5:0:0:0: [sdc] 950209 4096-byte logical blocks: (3.89 GB/3.62 GiB)
[ 5447.216873] sd 5:0:0:0: [sdc] Assuming drive cache: write through
[ 5447.216890] sd 5:0:0:0: [sdc] Attached SCSI removable disk
[ 5447.612115] sd 5:0:0:0: [sdc] Bad block number requested
[ 5447.612190] hfs: unable to find HFS+ superblock
[ 5447.908162] sd 5:0:0:0: [sdc] Bad block number requested
[ 5447.908232] hfs: unable to find HFS+ superblock

The iPod is a 4gb model and Disk utility shows two partitions
/dev/sdc1 of 254 kB (253,952 bytes) of Unknown volume with Apple Partition Map
and
/dev/sdc2 of 3.9GB (3891,793,920 bytes) HFS+ of Apple HFS/HFS+Partition.

At the moment I don't have the time to apply the patch of comment #19 or #36.
Should I apply the patch of comment #36 given I have installed Kernel Linux 2.6.38-10-generic?

Seth Forshee (sforshee) wrote :

rb.eng: If you'd like to help get this working what I really need right now is the dmesg from a failed mount using the build in comment #36. If you get time, you can still install that build even though it's an older kernel version than what you're running now. Then you will need to reboot, then press and hold the Shift key just after the bios screen disappears. When the boot menu shows up, go to "Previous linux versions" and select the test version. Then attempt to mount the iPod, and after it fails attach either the output of the dmesg command or /var/log/kern.log.

Also please take heed of the warning in comment #19. You could loose data, so it's a good idea to make sure you've backed up anything important.

Seth Forshee (sforshee) wrote :

I found some problems with the debug output from the previous build, so I posted a new version at:

http://people.canonical.com/~sforshee/lp734883/linux-2.6.38-10.46~lp734883v201107150402/

Seth Forshee (sforshee) wrote :

I found out about the scsi_debug module that allows creating virtual scsi devices with various sector sizes. I've been able to reproduce the problems (with some difficulty). I did find manage to find one issue with my patch, which I didn't expect to actually be the cause of the apparent memory corruptions, but I've been torturing my new build for over 12 hours and haven't been able to produce any problems. I've put a new build up; please test and see whether the crashes are gone with this build. Previous warnings about data loss still apply. Thanks!

http://people.canonical.com/~sforshee/lp734883/linux-2.6.38-10.46~lp734883v201107160216/

Pierre Rudloff (rudloff) wrote :

Your last build seems to work fine so far.

Seth Forshee (sforshee) wrote :

Pierre: Thanks for testing.

The latest patch has been merged upstream for kernel version 3.1. I'd still like to see some more testing with it before we try to SRU it for natty though. I'm changing the status to in progress now, but please continue to provide test results, especially those of you who saw crashes/lockups/panics with previous versions. The more testing we get the sooner I'll feel confident about putting this into a natty update.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Rod Scottkey (scott-rodkey) wrote :

This patch worked for me. I was trying to mount an iPod freshly restored on a Mac, and I was getting the same "bad superblock" errors people had mentioned above. After installing Seth's patch in #42 the iPod was mountable. Out of curiosity I reverted back to the latest kernel and the errors came back. Thanks for your hard work!

Other notes for those who try this:

- After restoring the iPod, you need to type the following at a Mac terminal or the iPod will be read-only:

     diskutil disableJournal /Volumes/<device name>

- Banshee 2.0.1 now gives me errors when trying to write to this iPod, but Rhythmbox 0.13 works fine. Need to investigate this further.

Tim Gardner (timg-tpi) on 2011-08-08
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Seth Forshee (sforshee) wrote :

The fix has made its way upstream for kernel version 3.1, and we've now merged it for oneiric so it can receive further testing. When I feel like the fix has been adequately tested I'll submit it for natty.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-8.11

---------------
linux (3.0.0-8.11) oneiric; urgency=low

  [ Andy Whitcroft ]

  * [Config] Enable CONFIG_MACVTAP=m
    - LP: #822601

  [ Colin Watson ]

  * Deliver more Atheros, Ralink, and iwlagn NIC drivers to d-i

  [ Stefan Bader ]

  * (config) Package macvlan and macvtap for virtual

  [ Tim Gardner ]

  * [Config] Clean up tools rules
  * [Config] Package x86_energy_perf_policy and turbostat
    - LP: #797556

  [ Upstream Kernel Changes ]

  * dell-wmi: Add keys for Dell XPS L502X
    - LP: #815914
  * hfsplus: ensure bio requests are not smaller than the hardware sectors
    - LP: #734883
  * Ecryptfs: Add mount option to check uid of device being mounted =
    expect uid
    - LP: #732628
    - CVE-2011-1833
  * ideapad: define cfg bits and create sysfs node for cfg
  * ideapad: let camera_power node invisiable if no camera
  * ideapad: add backlight driver
  * ideapad: add missing ideapad_input_exit in ideapad_acpi_add error path
  * eCryptfs: Fix payload_len unitialized variable warning
  * eCryptfs: fix compile error
  * eCryptfs: Return error when lower file pointer is NULL
  * mac80211: be more careful in suspend/resume
    - LP: #811214
 -- Leann Ogasawara <email address hidden> Mon, 08 Aug 2011 06:23:16 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
tags: added: i386
rb.eng (rb-engch) wrote :

sforshee: Finally got around to testing 2.6.38-10.46 in comment #41. My 4GB gen3 iPod nano now mounts correctly without any errors or complaints. If you require more detailed feedback let me know. It would be great to see the fix in natty. Currently running 2.6.38-11. I'll look forward to oneiric.
Thank you Seth for your efforts to get this fixed!

dumi (dumisizwe) wrote :

apologies if i should be opening a new bug report instead of updating this one.

I am experiencing the same problem on Oneiric with kernel version 3.1.0-0301rc4-generic. Which is to say, my iPod doesn't mount, and the system reports "wrong fs type, bad option, bad superblock" when the system attemps to auto-mount.
This is a stock kernel, not customised in any way, and is installed by synaptic during the upgrade.

In addition, I am getting kernel panics when plugging in the iPod. Doing less /proc/kmsg produced the following:
[ 1593.912191] usb 1-5: new high speed USB device number 2 using ehci_hcd
[ 1594.342687] Initializing USB Mass Storage driver...
[ 1594.342914] scsi2 : usb-storage 1-5:1.0
[ 1594.343740] usbcore: registered new interface driver usb-storage
[ 1594.343748] USB Mass Storage support registered.
[ 1595.355215] sd 2:0:0:0: Attached scsi generic sg2 type 0
.ready
[ 1597.160990] sd 2:0:0:0: [sdb] 1926080 4096-byte logical blocks: (7.88 GB/7.34 GiB)
[ 1597.161603] sd 2:0:0:0: [sdb] Write Protect is off
[ 1597.161612] sd 2:0:0:0: [sdb] Mode Sense: 68 00 00 08
[ 1597.162230] sd 2:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[ 1597.190618] sdb: [mac] sdb1 sdb2
[ 1597.196276] sd 2:0:0:0: [sdb] Attached SCSI removable disk
[ 1597.841741] hfs: filesystem size too large.

Hope this helps, and I will refile if this isn't the correct place for this report.

On Fri, Sep 23, 2011 at 08:01:18AM -0000, dumi wrote:
> apologies if i should be opening a new bug report instead of updating
> this one.
>
> I am experiencing the same problem on Oneiric with kernel version 3.1.0-0301rc4-generic. Which is to say, my iPod doesn't mount, and the system reports "wrong fs type, bad option, bad superblock" when the system attemps to auto-mount.
> This is a stock kernel, not customised in any way, and is installed by synaptic during the upgrade.
>
> In addition, I am getting kernel panics when plugging in the iPod. Doing less /proc/kmsg produced the following:
> [ 1593.912191] usb 1-5: new high speed USB device number 2 using ehci_hcd
> [ 1594.342687] Initializing USB Mass Storage driver...
> [ 1594.342914] scsi2 : usb-storage 1-5:1.0
> [ 1594.343740] usbcore: registered new interface driver usb-storage
> [ 1594.343748] USB Mass Storage support registered.
> [ 1595.355215] sd 2:0:0:0: Attached scsi generic sg2 type 0
> .ready
> [ 1597.160990] sd 2:0:0:0: [sdb] 1926080 4096-byte logical blocks: (7.88 GB/7.34 GiB)
> [ 1597.161603] sd 2:0:0:0: [sdb] Write Protect is off
> [ 1597.161612] sd 2:0:0:0: [sdb] Mode Sense: 68 00 00 08
> [ 1597.162230] sd 2:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
> [ 1597.190618] sdb: [mac] sdb1 sdb2
> [ 1597.196276] sd 2:0:0:0: [sdb] Attached SCSI removable disk
> [ 1597.841741] hfs: filesystem size too large.
>
> Hope this helps, and I will refile if this isn't the correct place for
> this report.

This is actually a different problem, and one that I believe has a fix
upstream. Please file a new bug and point me at it, and I'll see about
getting that fixed in oneiric.

dumi (dumisizwe) wrote :

sforshe: Thanks for your patience Seth. The new bug has been filed here https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/857509.

I tried the fix from line 42 and it didn't help. What information do you need in order to help me? I'm an ubuntu noob

Seth Forshee (sforshee) wrote :

mkbolivianwonder: This bug is closed, so if you are experiencing problems please file a new bug by running 'ubuntu-bug linux' in a terminal, preferably following a failed mount. Thanks!

Jochen Fahrner (jofa) wrote :

Will this bug also be fixed in Natty?

I'm experiencing this bug on Natty with a 3 TB WD MyBook USB drive.

Jochen Fahrner (jofa) wrote :

I don't see the patch in this thread. Please can someone post it here, so I can apply it to my current Natty kernel?

John Carroll (john-carroll-64) wrote :

I recently was able to use my iPod, but after some recent updates, I can't mount it any more. I have filed Bug #1028529.

ricardisimo (ricardisimo) wrote :

I'm having difficulty mounting a 6TB G-Technology external HD. I believe it is exactly as with the others here:
:~$ dmesg | tail
[ 486.336116] sd 8:0:0:0: [sdh] Mode Sense: 10 00 00 00
[ 486.337902] sd 8:0:0:0: [sdh] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 486.341258] sd 8:0:0:0: [sdh] Very big device. Trying to use READ CAPACITY(16).
[ 486.487318] sdh: sdh1 sdh2
[ 486.492396] sd 8:0:0:0: [sdh] Very big device. Trying to use READ CAPACITY(16).
[ 486.531355] sd 8:0:0:0: [sdh] Attached SCSI disk
[ 487.000868] hfs: invalid secondary volume header
[ 487.000873] hfs: unable to find HFS+ superblock
[ 494.612178] hfs: invalid secondary volume header
[ 494.612183] hfs: unable to find HFS+ superblock

ricardisimo (ricardisimo) wrote :

I'm on 12.04 LTS 63-bit, 7.7 GiB of RAM on a Intel® Core™ i7-2600 CPU @ 3.40GHz × 8

:~$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation H67 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 USB controller: Etron Technology, Inc. EJ168 USB 3.0 Host Controller (rev 01)
02:00.0 Multimedia video controller: Blackmagic Design Device a11b
03:00.0 Network controller: Ralink corp. RT3090 Wireless 802.11n 1T/1R PCIe
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)

Krayt (krayt2) wrote :

With ubuntu 12.04 its still the same error. It works fine with ubuntu 9 and kernel 2.6.37 and below.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers